# OpenStack

# Decorators Usage Guide

## The decorators module

`tempest_lib.decorators.``idempotent_id`(id)

  Stub for metadata decorator

`tempest_lib.decorators.``skip_because`(*args, **kwargs)

  A decorator useful to skip tests hitting known bugs

  @param bug: bug number causing the test to skip @param condition: optional condition to be True for the skip to have place

class `tempest_lib.decorators.``skip_unless_attr`(attr, msg=None)

  Decorator to skip tests if a specified attr does not exists or False